package com.ruoyi.app.service.impl;

import java.util.List;

import com.ruoyi.app.domain.AppTask;
import com.ruoyi.app.mapper.AppTaskMapper;
import com.ruoyi.app.service.IAppTaskService;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2025-01-15
 */
@Service
public class AppTaskServiceImpl implements IAppTaskService
{
    @Autowired
    private AppTaskMapper appTaskMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param taskId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public AppTask selectAppTaskByTaskId(String taskId)
    {
        return appTaskMapper.selectAppTaskByTaskId(taskId);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param appTask 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<AppTask> selectAppTaskList(AppTask appTask)
    {
        return appTaskMapper.selectAppTaskList(appTask);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param appTask 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertAppTask(AppTask appTask)
    {
        appTask.setCreateTime(DateUtils.getNowDate());
        return appTaskMapper.insertAppTask(appTask);
    }

    @Override
    public int batchInsertAppTask(List<AppTask> appTaskList) {
        return appTaskMapper.batchInsertAppTask(appTaskList);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param appTask 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateAppTask(AppTask appTask)
    {
        return appTaskMapper.updateAppTask(appTask);
    }

    @Override
    public int batchUpdateAppTask(List<AppTask> appTaskList) {
        return appTaskMapper.batchUpdateAppTask(appTaskList);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param taskIds 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteAppTaskByTaskIds(String[] taskIds)
    {
        return appTaskMapper.deleteAppTaskByTaskIds(taskIds);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param taskId 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteAppTaskByTaskId(String taskId)
    {
        return appTaskMapper.deleteAppTaskByTaskId(taskId);
    }

    @Override
    public List<AppTask> selectPlcList() {
        return appTaskMapper.selectPlcList();
    }

    @Override
    public int updatePlcId(AppTask appTask) {
        return appTaskMapper.updatePlcId(appTask);
    }
}
